-- animations
animation = {
	kupo = {
			body = {
				path = "assets/characters/kupo/kupo",
				frames = 4,
				speed = 1/8
			},
			bow = {
				path = "assets/characters/kupo/kupo_bow",
				frames = 6,
				speed = 1/10
			},
			arrow = {
				path = "assets/characters/kupo/kupo_arrow",
				frames = 1,
				speed = 1
			}
	},
	nancy = {
		idle = {
			path = "assets/characters/nancy/idle",
			frames = 4,
			speed = 1/8
		},
		run = {
			path = "assets/characters/nancy/run",
			frames = 6,
			speed = 1/8
		},
		fall = {
			path = "assets/characters/nancy/fall",
			frames = 3,
			speed = 1/8
		},
		jump = {
			path = "assets/characters/nancy/jump",
			frames = 3,
			speed = 1/8
		}
	}
}

for _, object in pairs(animation) do
	for _, anim in pairs(object) do
		anim.imgs = {}
		for i = 1, anim.frames do
			table.insert(anim.imgs,love.graphics.newImage(anim.path..tostring(i)..".png"))
		end
	end
end

levelProperties = {
	pos = {
		x = 0,
		y = 0
	},
	offset = {
		x = 0,
		y = 0
	}
}

tileProperties = {
	width = 16,
	height = 16,
	scale = 1,
	tileset = love.graphics.newImage("assets/terrain/tileset.png")
}
